Przeglądaj źródła

kpt: 基础信息docker-compose文件

Yi 3 lat temu
commit
570d592953
100 zmienionych plików z 1691 dodań i 0 usunięć
  1. 18 0
      .gitignore
  2. 15 0
      ffff/.drone.yml
  3. 3 0
      ffff/README.md
  4. BIN
      gogs-drone-docker-old/.data/drone/drone.sqlite
  5. 5 0
      gogs-drone-docker-old/.data/gogs/data/git/.gitconfig
  6. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/.ssh/environment
  7. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/HEAD
  8. 5 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/config
  9. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/description
  10. 15 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/applypatch-msg.sample
  11. 24 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/commit-msg.sample
  12. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/post-receive
  13. 8 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/post-update.sample
  14. 14 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-applypatch.sample
  15. 49 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-commit.sample
  16. 13 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-merge-commit.sample
  17. 53 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-push.sample
  18. 169 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-rebase.sample
  19. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-receive
  20. 24 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-receive.sample
  21. 42 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/prepare-commit-msg.sample
  22. 78 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/push-to-checkout.sample
  23. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/update
  24. 128 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/update.sample
  25. 6 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/info/exclude
  26. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/info/refs
  27. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/6e/7cb4d6ed323c5931e6bf5a71d8b56f6b4b84b6
  28. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/72/90d82f45c679eb8ed274f0289e32705502657b
  29. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/c0/4811917f0218be3c10c48c5d26f129a82812f2
  30. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/cb/51f1427295d7e2131af1cec47c63229ad8e482
  31. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/d8/fa2bcffb7943b1962a31dd9e74250b250f1a57
  32. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/db/50015bedc04f8b3f200260469b3e6454b07556
  33. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/ff/26d355e31f37573402b01fd5473e46e6531f84
  34. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/info/packs
  35. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/refs/heads/master
  36. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/HEAD
  37. 5 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/config
  38. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/description
  39. 15 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/applypatch-msg.sample
  40. 24 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/commit-msg.sample
  41. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/post-receive
  42. 8 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/post-update.sample
  43. 14 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-applypatch.sample
  44. 49 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-commit.sample
  45. 13 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-merge-commit.sample
  46. 53 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-push.sample
  47. 169 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-rebase.sample
  48. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-receive
  49. 24 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-receive.sample
  50. 42 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/prepare-commit-msg.sample
  51. 78 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/push-to-checkout.sample
  52. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/update
  53. 128 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/update.sample
  54. 6 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/info/exclude
  55. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/info/refs
  56. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/09/0d907ace88f9abcdf79f8252b4365fb654625a
  57. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/1f/7461896fb3956b88d8db05124d5d176eb26608
  58. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/25/ed3f6e7b6e344b6ca91ebcc5d005f35357f9cf
  59. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/26/e8cde4edc5b960d268cf784fd361170e2024b0
  60. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/35/410cacdc5e87f985c93a96520f5e11a5c822e4
  61. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/35/eb1ddfbbc029bcab630581847471d7f238ec53
  62. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/41/8753f5ddf8864aa292e4d0de975588b7921f85
  63. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/42/b016aa10ee4a627d0a8c565497918213a0ee69
  64. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/49/fb36d646caa999f56aed5c63602d8833afb1e8
  65. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/4e/2367d3bec6da6f39e5fc6541350a7243376f04
  66. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/63/53d51f1735bf1e2e2286a1c74b4adec9e38de4
  67. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/63/9900d13c6182e452e33a3bd638e70a0146c785
  68. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/68/ca58e67d7048327fef2770ef2df223faa2d11f
  69. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/6e/3ac39db46f564034ad98bc35d3990aae80160a
  70. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/8f/259696be8455e134a32d107cbf547e9807bfcb
  71. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/94/24d407bb8cc01c9562d39437df51ba6c4a7b3b
  72. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/95/862ad44602bb7658df57c6f967e4e770811931
  73. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/9b/f964dd859dcb521995dba897917e1721d15ff7
  74. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ab/a21301babc932c734c916b94b419dafb3cd259
  75. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/c0/4811917f0218be3c10c48c5d26f129a82812f2
  76. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/c5/f067851a2a18e15b73df3ac3b99b6d7cbf4d09
  77. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d2/285090966f839a206437e0b25ad29717e37523
  78. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d3/beee5771a8e68e6d81713454a14c0d676dce38
  79. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d3/cb1be73d2c96e7d28acd2c94a30a8f0e150224
  80. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/df/0b4c33cb4017efb57583476fcaa17ea452e9ae
  81. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/e1/004d39bf8b8003d8560cfdf2b8a6f7a633ef65
  82. 3 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ee/66d891260d9715de83b8b670d2fbda2bb528af
  83. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ef/c99b767250f6679ab66ab630daaf93ba850a2c
  84. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f7/26aa3c5372534f026b79c74ff46f3556b048a1
  85. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f8/c6ee64b1ff6b612e75dce9deb91367851d4d82
  86. BIN
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f9/c1e04f4442715fdb87fc9c5ab460f419fa4196
  87. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/info/packs
  88. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/refs/heads/master
  89. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/HEAD
  90. 5 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/config
  91. 1 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/description
  92. 15 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/applypatch-msg.sample
  93. 24 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/commit-msg.sample
  94. 2 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/post-receive
  95. 8 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/post-update.sample
  96. 14 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-applypatch.sample
  97. 49 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-commit.sample
  98. 13 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-merge-commit.sample
  99. 53 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-push.sample
  100. 169 0
      gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-rebase.sample

+ 18 - 0
.gitignore

@@ -0,0 +1,18 @@
+# User-specific stuff
+.idea/**/workspace.xml
+.idea/**/tasks.xml
+.idea/**/dictionaries
+.idea/**/shelf
+
+# Sensitive or high-churn files
+.idea/**/dataSources/
+.idea/**/dataSources.ids
+.idea/**/dataSources.local.xml
+.idea/**/sqlDataSources.xml
+.idea/**/dynamic.xml
+.idea/**/uiDesigner.xml
+.idea/**/dbnavigator.xml
+
+# Gradle
+.idea/**/gradle.xml
+.idea/**/libraries

+ 15 - 0
ffff/.drone.yml

@@ -0,0 +1,15 @@
+kind: pipeline
+type: docker
+name: default
+
+steps:
+- name: test
+  image: golang:1.17.1
+  commands:
+    - env
+    - export IMAGE_TAG=${CI_BUILD_TAG:-${CI_BUILD_REF_NAME}-${CI_BUILD_REF:0:8}}
+    - export DEPLOY_IMAGE=${DEPLOY_REGISTRY}/${DOCKER_NS}/sayam:${IMAGE_TAG}
+    - docker build -t ${IMAGE} -f Dockerfile .
+    - docker push ${IMAGE}
+    - echo ${DEPLOY_IMAGE}
+    - docker rmi ${IMAGE}

+ 3 - 0
ffff/README.md

@@ -0,0 +1,3 @@
+# ffff
+
+ggg

BIN
gogs-drone-docker-old/.data/drone/drone.sqlite


+ 5 - 0
gogs-drone-docker-old/.data/gogs/data/git/.gitconfig

@@ -0,0 +1,5 @@
+[user]
+	name = Gogs
+	email = gogs@fake.local
+[core]
+	quotepath = false

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/.ssh/environment

@@ -0,0 +1 @@
+GOGS_CUSTOM=/data/gogs

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/HEAD

@@ -0,0 +1 @@
+ref: refs/heads/master

+ 5 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/config

@@ -0,0 +1,5 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = true
+	ignorecase = true

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/description

@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.

+ 15 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/applypatch-msg.sample

@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
+test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
+:

+ 24 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/commit-msg.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/post-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' post-receive

+ 8 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/post-update.sample

@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

+ 14 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-applypatch.sample

@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+precommit="$(git rev-parse --git-path hooks/pre-commit)"
+test -x "$precommit" && exec "$precommit" ${1+"$@"}
+:

+ 49 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-commit.sample

@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=$(git hash-object -t tree /dev/null)
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --type=bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

+ 13 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-merge-commit.sample

@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git merge" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message to
+# stderr if it wants to stop the merge commit.
+#
+# To enable this hook, rename this file to "pre-merge-commit".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+        exec "$GIT_DIR/hooks/pre-commit"
+:

+ 53 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-push.sample

@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local oid> <remote ref> <remote oid>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+
+while read local_ref local_oid remote_ref remote_oid
+do
+	if test "$local_oid" = "$zero"
+	then
+		# Handle delete
+		:
+	else
+		if test "$remote_oid" = "$zero"
+		then
+			# New branch, examine all commits
+			range="$local_oid"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_oid..$local_oid"
+		fi
+
+		# Check for WIP commit
+		commit=$(git rev-list -n 1 --grep '^WIP' "$range")
+		if test -n "$commit"
+		then
+			echo >&2 "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0

+ 169 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-rebase.sample

@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up to date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+<<\DOC_END
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
+
+DOC_END

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' pre-receive

+ 24 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/pre-receive.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+	i=0
+	while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+	do
+		eval "value=\$GIT_PUSH_OPTION_$i"
+		case "$value" in
+		echoback=*)
+			echo "echo from the pre-receive-hook: ${value#*=}" >&2
+			;;
+		reject)
+			exit 1
+		esac
+		i=$((i + 1))
+	done
+fi

+ 42 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/prepare-commit-msg.sample

@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples. The first one removes the
+# "# Please enter the commit message..." help message.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+COMMIT_MSG_FILE=$1
+COMMIT_SOURCE=$2
+SHA1=$3
+
+/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
+
+# case "$COMMIT_SOURCE,$SHA1" in
+#  ,|template,)
+#    /usr/bin/perl -i.bak -pe '
+#       print "\n" . `git diff --cached --name-status -r`
+# 	 if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
+#  *) ;;
+# esac
+
+# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
+# if test -z "$COMMIT_SOURCE"
+# then
+#   /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
+# fi

+ 78 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/push-to-checkout.sample

@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# An example hook script to update a checked-out tree on a git push.
+#
+# This hook is invoked by git-receive-pack(1) when it reacts to git
+# push and updates reference(s) in its repository, and when the push
+# tries to update the branch that is currently checked out and the
+# receive.denyCurrentBranch configuration variable is set to
+# updateInstead.
+#
+# By default, such a push is refused if the working tree and the index
+# of the remote repository has any difference from the currently
+# checked out commit; when both the working tree and the index match
+# the current commit, they are updated to match the newly pushed tip
+# of the branch. This hook is to be used to override the default
+# behaviour; however the code below reimplements the default behaviour
+# as a starting point for convenient modification.
+#
+# The hook receives the commit with which the tip of the current
+# branch is going to be updated:
+commit=$1
+
+# It can exit with a non-zero status to refuse the push (when it does
+# so, it must not modify the index or the working tree).
+die () {
+	echo >&2 "$*"
+	exit 1
+}
+
+# Or it can make any necessary changes to the working tree and to the
+# index to bring them to the desired state when the tip of the current
+# branch is updated to the new commit, and exit with a zero status.
+#
+# For example, the hook can simply run git read-tree -u -m HEAD "$1"
+# in order to emulate git fetch that is run in the reverse direction
+# with git push, as the two-tree form of git read-tree -u -m is
+# essentially the same as git switch or git checkout that switches
+# branches while keeping the local changes in the working tree that do
+# not interfere with the difference between the branches.
+
+# The below is a more-or-less exact translation to shell of the C code
+# for the default behaviour for git's push-to-checkout hook defined in
+# the push_to_deploy() function in builtin/receive-pack.c.
+#
+# Note that the hook will be executed from the repository directory,
+# not from the working tree, so if you want to perform operations on
+# the working tree, you will have to adapt your code accordingly, e.g.
+# by adding "cd .." or using relative paths.
+
+if ! git update-index -q --ignore-submodules --refresh
+then
+	die "Up-to-date check failed"
+fi
+
+if ! git diff-files --quiet --ignore-submodules --
+then
+	die "Working directory has unstaged changes"
+fi
+
+# This is a rough translation of:
+#
+#   head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
+if git cat-file -e HEAD 2>/dev/null
+then
+	head=HEAD
+else
+	head=$(git hash-object -t tree --stdin </dev/null)
+fi
+
+if ! git diff-index --quiet --cached --ignore-submodules $head --
+then
+	die "Working directory has staged changes"
+fi
+
+if ! git read-tree -u -m "$commit"
+then
+	die "Could not update working tree to new HEAD"
+fi

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/update

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' update $1 $2 $3

+ 128 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/hooks/update.sample

@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to block unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --type=bool hooks.allowunannotated)
+allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
+allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
+allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

+ 6 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/info/exclude

@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/info/refs

@@ -0,0 +1 @@
+db50015bedc04f8b3f200260469b3e6454b07556	refs/heads/master

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/6e/7cb4d6ed323c5931e6bf5a71d8b56f6b4b84b6


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/72/90d82f45c679eb8ed274f0289e32705502657b


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/c0/4811917f0218be3c10c48c5d26f129a82812f2


+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/cb/51f1427295d7e2131af1cec47c63229ad8e482

@@ -0,0 +1,2 @@
+x�ΝI
+1@QΧ9EνΙX‰"β5\¦†ΖmμοoΑνηΑηΎ®m‚Kώ0‡* f¦(¨|ΰtN‘–T³“B	¤H%�ϊ�Ο>ΰΡΰZRΎoΫ‰ϋz‡Ωzg³wp΄ΕZ³Χ}0υj>£Ώ”η�Θθonζ .`

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/d8/fa2bcffb7943b1962a31dd9e74250b250f1a57


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/db/50015bedc04f8b3f200260469b3e6454b07556


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/ff/26d355e31f37573402b01fd5473e46e6531f84


+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/objects/info/packs

@@ -0,0 +1 @@
+

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-demo.git/refs/heads/master

@@ -0,0 +1 @@
+db50015bedc04f8b3f200260469b3e6454b07556

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/HEAD

@@ -0,0 +1 @@
+ref: refs/heads/master

+ 5 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/config

@@ -0,0 +1,5 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = true
+	ignorecase = true

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/description

@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.

+ 15 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/applypatch-msg.sample

@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
+test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
+:

+ 24 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/commit-msg.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/post-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' post-receive

+ 8 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/post-update.sample

@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

+ 14 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-applypatch.sample

@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+precommit="$(git rev-parse --git-path hooks/pre-commit)"
+test -x "$precommit" && exec "$precommit" ${1+"$@"}
+:

+ 49 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-commit.sample

@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=$(git hash-object -t tree /dev/null)
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --type=bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

+ 13 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-merge-commit.sample

@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git merge" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message to
+# stderr if it wants to stop the merge commit.
+#
+# To enable this hook, rename this file to "pre-merge-commit".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+        exec "$GIT_DIR/hooks/pre-commit"
+:

+ 53 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-push.sample

@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local oid> <remote ref> <remote oid>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+
+while read local_ref local_oid remote_ref remote_oid
+do
+	if test "$local_oid" = "$zero"
+	then
+		# Handle delete
+		:
+	else
+		if test "$remote_oid" = "$zero"
+		then
+			# New branch, examine all commits
+			range="$local_oid"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_oid..$local_oid"
+		fi
+
+		# Check for WIP commit
+		commit=$(git rev-list -n 1 --grep '^WIP' "$range")
+		if test -n "$commit"
+		then
+			echo >&2 "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0

+ 169 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-rebase.sample

@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up to date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+<<\DOC_END
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
+
+DOC_END

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' pre-receive

+ 24 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/pre-receive.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+	i=0
+	while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+	do
+		eval "value=\$GIT_PUSH_OPTION_$i"
+		case "$value" in
+		echoback=*)
+			echo "echo from the pre-receive-hook: ${value#*=}" >&2
+			;;
+		reject)
+			exit 1
+		esac
+		i=$((i + 1))
+	done
+fi

+ 42 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/prepare-commit-msg.sample

@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples. The first one removes the
+# "# Please enter the commit message..." help message.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+COMMIT_MSG_FILE=$1
+COMMIT_SOURCE=$2
+SHA1=$3
+
+/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
+
+# case "$COMMIT_SOURCE,$SHA1" in
+#  ,|template,)
+#    /usr/bin/perl -i.bak -pe '
+#       print "\n" . `git diff --cached --name-status -r`
+# 	 if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
+#  *) ;;
+# esac
+
+# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
+# if test -z "$COMMIT_SOURCE"
+# then
+#   /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
+# fi

+ 78 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/push-to-checkout.sample

@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# An example hook script to update a checked-out tree on a git push.
+#
+# This hook is invoked by git-receive-pack(1) when it reacts to git
+# push and updates reference(s) in its repository, and when the push
+# tries to update the branch that is currently checked out and the
+# receive.denyCurrentBranch configuration variable is set to
+# updateInstead.
+#
+# By default, such a push is refused if the working tree and the index
+# of the remote repository has any difference from the currently
+# checked out commit; when both the working tree and the index match
+# the current commit, they are updated to match the newly pushed tip
+# of the branch. This hook is to be used to override the default
+# behaviour; however the code below reimplements the default behaviour
+# as a starting point for convenient modification.
+#
+# The hook receives the commit with which the tip of the current
+# branch is going to be updated:
+commit=$1
+
+# It can exit with a non-zero status to refuse the push (when it does
+# so, it must not modify the index or the working tree).
+die () {
+	echo >&2 "$*"
+	exit 1
+}
+
+# Or it can make any necessary changes to the working tree and to the
+# index to bring them to the desired state when the tip of the current
+# branch is updated to the new commit, and exit with a zero status.
+#
+# For example, the hook can simply run git read-tree -u -m HEAD "$1"
+# in order to emulate git fetch that is run in the reverse direction
+# with git push, as the two-tree form of git read-tree -u -m is
+# essentially the same as git switch or git checkout that switches
+# branches while keeping the local changes in the working tree that do
+# not interfere with the difference between the branches.
+
+# The below is a more-or-less exact translation to shell of the C code
+# for the default behaviour for git's push-to-checkout hook defined in
+# the push_to_deploy() function in builtin/receive-pack.c.
+#
+# Note that the hook will be executed from the repository directory,
+# not from the working tree, so if you want to perform operations on
+# the working tree, you will have to adapt your code accordingly, e.g.
+# by adding "cd .." or using relative paths.
+
+if ! git update-index -q --ignore-submodules --refresh
+then
+	die "Up-to-date check failed"
+fi
+
+if ! git diff-files --quiet --ignore-submodules --
+then
+	die "Working directory has unstaged changes"
+fi
+
+# This is a rough translation of:
+#
+#   head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
+if git cat-file -e HEAD 2>/dev/null
+then
+	head=HEAD
+else
+	head=$(git hash-object -t tree --stdin </dev/null)
+fi
+
+if ! git diff-index --quiet --cached --ignore-submodules $head --
+then
+	die "Working directory has staged changes"
+fi
+
+if ! git read-tree -u -m "$commit"
+then
+	die "Could not update working tree to new HEAD"
+fi

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/update

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' update $1 $2 $3

+ 128 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/hooks/update.sample

@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to block unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --type=bool hooks.allowunannotated)
+allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
+allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
+allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

+ 6 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/info/exclude

@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/info/refs

@@ -0,0 +1 @@
+f9c1e04f4442715fdb87fc9c5ab460f419fa4196	refs/heads/master

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/09/0d907ace88f9abcdf79f8252b4365fb654625a


+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/1f/7461896fb3956b88d8db05124d5d176eb26608

@@ -0,0 +1,2 @@
+xuÎ1!@QkN1½‰`†�įa	ì·Xq	Þß-lm^ñkß¶u‚�ršCbsœB
+E#1«õ”½[,J-�I4E”Òj1ï<ô5aiX¨z_¡m……£'	­æ|„Lì4e5ù3Ÿ}Àc…kd¹ïû¥öí6„”’œ1"š£CSÿQœûQ³ŒþR¨«ù"k7£

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/25/ed3f6e7b6e344b6ca91ebcc5d005f35357f9cf

@@ -0,0 +1,2 @@
+x}�AKÃ@…=÷W,C¯1ŠBE²)…¶b1
+¥õZ’ì´.nvÂdWÛï¦YêE<Ï{ß{ó*C•¸›L®²é±1â¹Ód%Ü^߀@[“Òö a»Y&0ÍGYCÊîÔ¢„Õì}¶+ÞæÛ—üzï!	‘ÕÔ´dÑ:aË&ˆŸ¨'–•A%Á±GéŸÂWü.Î)k"W”¶< ƒÐöY»¤Çjƒœ�w­wÕƒB&kãÆÛÀ?W±®/âÙHØ÷cšŽ‡Þ»ùóz›%±B^XǧøbŒEµRŸÿÈ:ò\ã’L°ƒØo°s]+Mwy4½L†L‡%ót	|§

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/26/e8cde4edc5b960d268cf784fd361170e2024b0


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/35/410cacdc5e87f985c93a96520f5e11a5c822e4


+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/35/eb1ddfbbc029bcab630581847471d7f238ec53

@@ -0,0 +1 @@
+xEН=В0…aзюЉЛЭ5D’tќЬФЅMѓ¤4ч†$эч†ъ5xxO7rхv·ђНГЏ0Щ�“ВzµF°dёwtWxЅ—{lt%CдБљь—ФЂ4м“ҐФz«рfТБЕ"9>Пm%“fY¬oиї@!Вd’В“ЛbЉ_±јЉП­~cЈ8ћ

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/41/8753f5ddf8864aa292e4d0de975588b7921f85


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/42/b016aa10ee4a627d0a8c565497918213a0ee69


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/49/fb36d646caa999f56aed5c63602d8833afb1e8


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/4e/2367d3bec6da6f39e5fc6541350a7243376f04


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/63/53d51f1735bf1e2e2286a1c74b4adec9e38de4


+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/63/9900d13c6182e452e33a3bd638e70a0146c785

@@ -0,0 +1,2 @@
+xEحM�@�فخ��aِZ�في�(�Dٌj�ً�lk����?�oa¤�`1�ّ�1ِ$���5�)q)ط�+�هl7^byakمN��ث9F@XJس
+;ـ�!�ةا�"َ�s^�\/�smه �Fك­6�RتOزسa؛خ.�}ي� ���~ع~­�ُو
M�9>

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/68/ca58e67d7048327fef2770ef2df223faa2d11f


+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/6e/3ac39db46f564034ad98bc35d3990aae80160a

@@ -0,0 +1,2 @@
+x�Î;Â0€aæœ";ÊÃyXBˆk0ÚŽ#:´¥Q¸?=ë§øe_×eZ_ËeUKLÁGç™X0)}f��:Gi!¡ùÐÐmÚÖƒÄ(ÎíœJªJîBtA
+Ф†¾ó½ûZ콦ò<Ž›ìëÃúœ³ƒöêªsæÔshê©icßÔÊb~n"8

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/8f/259696be8455e134a32d107cbf547e9807bfcb


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/94/24d407bb8cc01c9562d39437df51ba6c4a7b3b


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/95/862ad44602bb7658df57c6f967e4e770811931


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/9b/f964dd859dcb521995dba897917e1721d15ff7


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ab/a21301babc932c734c916b94b419dafb3cd259


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/c0/4811917f0218be3c10c48c5d26f129a82812f2


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/c5/f067851a2a18e15b73df3ac3b99b6d7cbf4d09


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d2/285090966f839a206437e0b25ad29717e37523


+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d3/beee5771a8e68e6d81713454a14c0d676dce38

@@ -0,0 +1,2 @@
+x=ŽMOÃ0†9ûWXÚ*Ä$ØNHÓ9ìˆP•¦N—©�Cœ¢îßãŽ�ƒ¿_=~Û�[\o6W+¬ëú	_V¸ç1…�:|kOä
+zäÅ–àÐÆŸÏÑŽÚ¡¼>mþWË
T†5¬†0(ï…‡Ž²@Ãí	šBR–í.»c(ÊŸ2¡$rÁ+‘æBQG¹K™|˜I”óþð¸ýúü€ßjxRDe\Ï÷¦_ži·6­MG~ŠCÏåœHÕåHsâ\L?FFârSͤùâ®2)³ø›Œ[p

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/d3/cb1be73d2c96e7d28acd2c94a30a8f0e150224


+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/df/0b4c33cb4017efb57583476fcaa17ea452e9ae

@@ -0,0 +1 @@
+xŤÎ=Â0@aćśÂ;ĘOťŘ!®Á�ÔŽRi…űÓ#°>}Ă›×eiűÓčŞ09J*ŠT˘8ĺěŮë$V”"QIě]%4[îú Ł;­pr(JˇP‰ÉŠŻE˛/=ĺjňwĽÖĎ7ÂôŘ÷ËĽ.wp12#ĄŕlÉZsÔchčÔl}}ë<®Đ>m�9>

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/e1/004d39bf8b8003d8560cfdf2b8a6f7a633ef65


+ 3 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ee/66d891260d9715de83b8b670d2fbda2bb528af

@@ -0,0 +1,3 @@
+xm�A
+Â0E]ç³Jì$“Št'#¦“lÐÛpëæ->¼ÿBžçTàDêP6fPÜ"™ohðѱŽ�´:¡–Þ´
+ÑP”Jø½Üóïý“ži¡³ÚH2M¿®MÈ󹞒sÚ*‡p”VJQ×+¼Á%�/èÆÊ>ú7S~úcˆë’JòüTñ‹¾3

BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/ef/c99b767250f6679ab66ab630daaf93ba850a2c


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f7/26aa3c5372534f026b79c74ff46f3556b048a1


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f8/c6ee64b1ff6b612e75dce9deb91367851d4d82


BIN
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/f9/c1e04f4442715fdb87fc9c5ab460f419fa4196


+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/objects/info/packs

@@ -0,0 +1 @@
+

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-gogs-demo.git/refs/heads/master

@@ -0,0 +1 @@
+f9c1e04f4442715fdb87fc9c5ab460f419fa4196

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/HEAD

@@ -0,0 +1 @@
+ref: refs/heads/master

+ 5 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/config

@@ -0,0 +1,5 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = true
+	ignorecase = true

+ 1 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/description

@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.

+ 15 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/applypatch-msg.sample

@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
+test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
+:

+ 24 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/commit-msg.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

+ 2 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/post-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' post-receive

+ 8 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/post-update.sample

@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

+ 14 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-applypatch.sample

@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+precommit="$(git rev-parse --git-path hooks/pre-commit)"
+test -x "$precommit" && exec "$precommit" ${1+"$@"}
+:

+ 49 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-commit.sample

@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=$(git hash-object -t tree /dev/null)
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --type=bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

+ 13 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-merge-commit.sample

@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git merge" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message to
+# stderr if it wants to stop the merge commit.
+#
+# To enable this hook, rename this file to "pre-merge-commit".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+        exec "$GIT_DIR/hooks/pre-commit"
+:

+ 53 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-push.sample

@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local oid> <remote ref> <remote oid>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+
+while read local_ref local_oid remote_ref remote_oid
+do
+	if test "$local_oid" = "$zero"
+	then
+		# Handle delete
+		:
+	else
+		if test "$remote_oid" = "$zero"
+		then
+			# New branch, examine all commits
+			range="$local_oid"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_oid..$local_oid"
+		fi
+
+		# Check for WIP commit
+		commit=$(git rev-list -n 1 --grep '^WIP' "$range")
+		if test -n "$commit"
+		then
+			echo >&2 "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0

+ 169 - 0
gogs-drone-docker-old/.data/gogs/data/git/gogs-repositories/xuyiping/kpt-pb.git/hooks/pre-rebase.sample

@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up to date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+<<\DOC_END
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
+
+DOC_END

Niektóre pliki nie zostały wyświetlone z powodu dużej ilości zmienionych plików